xmlhtml-0.2.1: XML parser and renderer with HTML 5 quirks mode

Safe Haskell | None

Text.XmlHtml.HTML.Meta

Synopsis

- voidTags :: HashSet Text
- rawTextTags :: HashSet Text
- endOmittableLast :: HashSet Text
- endOmittableNext :: HashMap Text (HashSet Text)
- predefinedRefs :: HashMap Text Text

# Documentation

voidTags :: HashSet Text

Void elements as defined by the HTML5 spec.

rawTextTags :: HashSet Text

Elements that XmlHtml treats as raw text. Raw text elements are not allowed to have any other tags in them. This is necessary to support the Javascript less than operator inside a script tag, for example.

endOmittableLast :: HashSet Text

List of elements with omittable end tags.

endOmittableNext :: HashMap Text (HashSet Text)

Tags which should be considered automatically ended in case one of a certain set of tags pops up.

predefinedRefs :: HashMap Text Text

Predefined character entity references as defined by the HTML5 spec.